// node native
import * as fs from 'fs';
import * as path from 'path';

export { fs, path };

// @apiclient.xyz scope
import * as cloudflare from '@apiclient.xyz/cloudflare';

export { cloudflare };

// @apiglobal scope
import * as typedserver from '@api.global/typedserver';

export { typedserver };

// @pushrocks scope
import * as lik from '@push.rocks/lik';
import * as smartdata from '@push.rocks/smartdata';
import * as smartdelay from '@push.rocks/smartdelay';
import * as smartdnsClient from '@push.rocks/smartdns/client';
import * as smartfile from '@push.rocks/smartfile';
import * as smartlog from '@push.rocks/smartlog';
import * as smartnetwork from '@push.rocks/smartnetwork';
import * as smartpromise from '@push.rocks/smartpromise';
import * as smartrequest from '@push.rocks/smartrequest';
import * as smartunique from '@push.rocks/smartunique';
import * as smartstring from '@push.rocks/smartstring';
import * as smarttime from '@push.rocks/smarttime';

export {
  lik,
  smartdata,
  smartdelay,
  smartdnsClient,
  smartfile,
  smartlog,
  smartnetwork,
  smartpromise,
  smartrequest,
  smartunique,
  smartstring,
  smarttime,
};

// @tsclass scope
import * as tsclass from '@tsclass/tsclass';

export { tsclass };

// third party scope
import * as acme from 'acme-client';

export { acme };
// local handlers for challenge types
import * as handlers from './handlers/index.js';
export { handlers };
